Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.zest
Class ZestStyleProvider

    java.lang.Object
      org.eclipse.amp.agf.zest.ZestStyleProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.ui.services.IDisposable, org.eclipse.zest.core.viewers.IConnectionStyleProvider, org.eclipse.zest.core.viewers.IEntityStyleProvider, org.eclipse.zest.core.viewers.IFigureProvider

    public class ZestStyleProvider

extends java.lang.Object
implements org.eclipse.zest.core.viewers.IEntityStyleProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.zest.core.viewers.IConnectionStyleProvider, org.eclipse.zest.core.viewers.IFigureProvider

Field Summary
`static org.eclipse.swt.graphics.Color` | `HIGHLIGHT_COLOR`
`static org.eclipse.swt.graphics.Color` | `LINE_COLOR`

Constructor Summary
`ZestStyleProvider(org.eclipse.zest.core.viewers.GraphViewer viewer, java.lang.Object object, ICompositionProvider compositionProvider, IGraphicsAdapter graphicsAdapter)`

Method Summary
`void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` | `dispose()`
`boolean` | `fisheyeNode(java.lang.Object entity)`
`org.eclipse.swt.graphics.Color` | `getBackground(java.lang.Object element)`
`org.eclipse.swt.graphics.Color` | `getBackgroundColour(java.lang.Object entity)`
`org.eclipse.swt.graphics.Color` | `getBorderColor(java.lang.Object entity)`
`org.eclipse.swt.graphics.Color` | `getBorderHighlightColor(java.lang.Object entity)`
`int` | `getBorderWidth(java.lang.Object entity)`
`org.eclipse.swt.graphics.Color` | `getColor(java.lang.Object rel)`
`protected org.eclipse.jface.viewers.IColorProvider` | `getColorProvider(java.lang.Object object)`
`int` | `getConnectionStyle(java.lang.Object rel)`
`org.eclipse.draw2d.IFigure` | `getFigure(java.lang.Object element)`
`protected IFigureProvider` | `getFigureProvider(java.lang.Object object)`
`org.eclipse.swt.graphics.Color` | `getForeground(java.lang.Object element)`
`org.eclipse.swt.graphics.Color` | `getForegroundColour(java.lang.Object entity)`
`org.eclipse.swt.graphics.Color` | `getHighlightColor(java.lang.Object rel)`
`org.eclipse.swt.graphics.Image` | `getImage(java.lang.Object element)`
`protected org.eclipse.jface.viewers.ILabelProvider` | `getLabelProvider(java.lang.Object object)`
`int` | `getLineWidth(java.lang.Object rel)`
`org.eclipse.swt.graphics.Color` | `getNodeHighlightColor(java.lang.Object entity)`
`java.lang.String` | `getText(java.lang.Object element)`
`org.eclipse.draw2d.IFigure` | `getTooltip(java.lang.Object entity)`
`boolean` | `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HIGHLIGHT_COLOR

    public static final org.eclipse.swt.graphics.Color HIGHLIGHT_COLOR

### LINE_COLOR

    public static final org.eclipse.swt.graphics.Color LINE_COLOR

Constructor Detail

### ZestStyleProvider

    public ZestStyleProvider(org.eclipse.zest.core.viewers.GraphViewer viewer,
                             java.lang.Object object,
                             ICompositionProvider compositionProvider,
                             IGraphicsAdapter graphicsAdapter)

Method Detail

### fisheyeNode

    public boolean fisheyeNode(java.lang.Object entity)

  Specified by:
    `fisheyeNode` in interface `org.eclipse.zest.core.viewers.IEntityStyleProvider`

### getBackgroundColour

    public org.eclipse.swt.graphics.Color getBackgroundColour(java.lang.Object entity)

  Specified by:
    `getBackgroundColour` in interface `org.eclipse.zest.core.viewers.IEntityStyleProvider`

### getBorderColor

    public org.eclipse.swt.graphics.Color getBorderColor(java.lang.Object entity)

  Specified by:
    `getBorderColor` in interface `org.eclipse.zest.core.viewers.IEntityStyleProvider`

### getBorderHighlightColor

    public org.eclipse.swt.graphics.Color getBorderHighlightColor(java.lang.Object entity)

  Specified by:
    `getBorderHighlightColor` in interface `org.eclipse.zest.core.viewers.IEntityStyleProvider`

### getBorderWidth

    public int getBorderWidth(java.lang.Object entity)

  Specified by:
    `getBorderWidth` in interface `org.eclipse.zest.core.viewers.IEntityStyleProvider`

### getForegroundColour

    public org.eclipse.swt.graphics.Color getForegroundColour(java.lang.Object entity)

  Specified by:
    `getForegroundColour` in interface `org.eclipse.zest.core.viewers.IEntityStyleProvider`

### getNodeHighlightColor

    public org.eclipse.swt.graphics.Color getNodeHighlightColor(java.lang.Object entity)

  Specified by:
    `getNodeHighlightColor` in interface `org.eclipse.zest.core.viewers.IEntityStyleProvider`
  Parameters:
    `entity` -
  Returns:
  See Also:
    `IEntityStyleProvider.getNodeHighlightColor(java.lang.Object)`

### getTooltip

    public org.eclipse.draw2d.IFigure getTooltip(java.lang.Object entity)

  Specified by:
    `getTooltip` in interface `org.eclipse.zest.core.viewers.IConnectionStyleProvider`
  Specified by:
    `getTooltip` in interface `org.eclipse.zest.core.viewers.IEntityStyleProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Specified by:
    `dispose` in interface `org.eclipse.ui.services.IDisposable`

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(java.lang.Object element)

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `IColorProvider.getBackground(java.lang.Object)`

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(java.lang.Object element)

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `IColorProvider.getForeground(java.lang.Object)`

### getColor

    public org.eclipse.swt.graphics.Color getColor(java.lang.Object rel)

  Specified by:
    `getColor` in interface `org.eclipse.zest.core.viewers.IConnectionStyleProvider`
  Parameters:
    `rel` -
  Returns:
  See Also:
    `IConnectionStyleProvider.getColor(java.lang.Object)`

### getConnectionStyle

    public int getConnectionStyle(java.lang.Object rel)

  Specified by:
    `getConnectionStyle` in interface `org.eclipse.zest.core.viewers.IConnectionStyleProvider`
  Parameters:
    `rel` -
  Returns:
  See Also:
    `IConnectionStyleProvider.getConnectionStyle(java.lang.Object)`

### getHighlightColor

    public org.eclipse.swt.graphics.Color getHighlightColor(java.lang.Object rel)

  Specified by:
    `getHighlightColor` in interface `org.eclipse.zest.core.viewers.IConnectionStyleProvider`
  Parameters:
    `rel` -
  Returns:
  See Also:
    `IConnectionStyleProvider.getHighlightColor(java.lang.Object)`

### getLineWidth

    public int getLineWidth(java.lang.Object rel)

  Specified by:
    `getLineWidth` in interface `org.eclipse.zest.core.viewers.IConnectionStyleProvider`
  Parameters:
    `rel` -
  Returns:
  See Also:
    `IConnectionStyleProvider.getLineWidth(java.lang.Object)`

### getFigure

    public org.eclipse.draw2d.IFigure getFigure(java.lang.Object element)

  Specified by:
    `getFigure` in interface `org.eclipse.zest.core.viewers.IFigureProvider`

### getFigureProvider

    protected IFigureProvider getFigureProvider(java.lang.Object object)

### getColorProvider

    protected org.eclipse.jface.viewers.IColorProvider getColorProvider(java.lang.Object object)

### getLabelProvider

    protected org.eclipse.jface.viewers.ILabelProvider getLabelProvider(java.lang.Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD